# Homebrew Science
[![For science.](http://i.imgur.com/Bswp1.png)](http://xkcd.com/585)

These formulae provide software tailored to scientific endeavours. Need to store
large amounts of data in a sparse matrix, solve a huge optimization problem or
process the images from your space telescope? Maybe we can help!

## Getting Started
`brew install homebrew/science/<formula>`

Or `brew tap homebrew/science` and then `brew install <formula>`.

Or install via URL (which will not receive updates):

```
brew install https://raw.githubusercontent.com/Homebrew/homebrew-science/master/<formula>.rb
```

## Troubleshooting
First, **read the [Troubleshooting Checklist](https://github.com/Homebrew/homebrew/blob/master/share/doc/homebrew/Troubleshooting.md)**.

Search [open](https://github.com/Homebrew/homebrew-science/issues?state=open) and [closed](https://github.com/Homebrew/homebrew-science/issues?state=closed) issues. See also Homebrew's  [Common Issues](https://github.com/Homebrew/homebrew/blob/master/share/doc/homebrew/Common-Issues.md) and [FAQ](https://github.com/Homebrew/homebrew/blob/master/share/doc/homebrew/FAQ.md).

**Use `brew gist-logs <formula>`** to post full logs.

## Documentation
`brew help`, `man brew` or check [Homebrew's documentation](https://github.com/Homebrew/homebrew/tree/master/share/doc/homebrew#readme).

## Contributing
Please see the [contributing guide](https://github.com/Homebrew/homebrew-science/blob/master/CONTRIBUTING.md).
